#!/bin/bash
#set -x
function sedder() {
    sed "s/#PRJNAME#/$prjname/g" |\
    sed "s/#COPYDATE#/$copydate/g" |\
    sed "s/#COPYAUTH#/$copyauth/g" 
}


id=`whoami`
if [ $# -lt 1 ]; then
   echo "$0 [-e <e-mail>] <prjname>"
   exit 1
fi

# verifica email autore
if [ "$1" = "-e" ]; then
   if [ $# -ne 3 ]; then
      echo "$0 -e <e-mail> <prjname>"
      exit 1
   fi
   emailauth="$2"
   shift 2
fi
prjname="$1"

if [ "$id" != "root" -a "$prjname" = "install" ]; then
   echo "you must be root user to install this package"
   exit 1
fi
TMPLPATH=/var/lib/makesimple
BINPATH=/usr/local/bin
SRCFILE=$TMPLPATH/file_src.c
HFILE=$TMPLPATH/file_inc.h
MAKFILE=$TMPLPATH/makefile

copydate="`date +%Y`"
copyauth="$emailauth"
if [ "$prjname" = "install" ]; then
  echo "Install"
  ls *
  echo "Continue (y/n)"
  read a
  if [ "$a" = "y" -o "$a" = "Y" ]; then
    if [ ! -d "$TMPLPATH" ]; then
       mkdir "$TMPLPATH" || exit 5
    fi
    if [ ! -d "$BINPATH" ]; then
       mkdir "$BINPATH" || exit 6
    fi
    rm -f "$TMPLPATH"/* || exit 7
    cp * "$TMPLPATH" || exit 8
    cp ./makesimple.sh "$BINPATH" || exit 9
    echo "Installation OK"
  fi
  exit 0
fi
mkdir "$prjname" || exit 2
cd "$prjname" || exit 3
sedder < $SRCFILE > ./${prjname}.c
sedder < $HFILE >   ./${prjname}.h
sedder < $MAKFILE > ./makefile

exit 0    
